<?php
	@ini_set('display_errors','0');
	@error_reporting (E_ALL & ~E_NOTICE);
	define('DIRCMS_ROOT', str_replace("\\", '/',substr(dirname(__FILE__),0,-5)));
	include DIRCMS_ROOT.'include/common.inc.php';
	include DIRCMS_ROOT.'include/member.class.php';
	$member=new member();
	$id=intval($id);
	if(!$id)showmsg('错误的请求！',$DIRCMS['site_url']);
	$data=$member->get($id);	
	if(!$data)showmsg('错误的请求！',$DIRCMS['site_url']);
	unset($data['password']);
	@extract($data);
	$head['title'] = $username.'的个人中心'.base64_decode('IC0gUG93ZXJlZCBieSBEaXJjbXM=');
	$r=cache_read('membergrade'.$gradeid.'.cache.php',DIRCMS_ROOT.'data/cache/');
	$gradename=$r['gradename'];
	$r=$db->fetch_one("SELECT count(*) as count FROM `".DB_PRE."content` WHERE `".DB_PRE."content`.`userid`=".$id);
	$msgcount=$r['count'];
	include template('space');
	unset($data,$data2,$r);
?>